Name:           perl-LWP-UserAgent-DNS-Hosts
Version:        0.08
Release:        3%{?dist}
Summary:        Override LWP HTTP/HTTPS request's host like /etc/hosts

Group:          Development/Libraries
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/LWP-UserAgent-DNS-Hosts/
Source0:        http://www.cpan.org/authors/id/M/MA/MASAKI/LWP-UserAgent-DNS-Hosts-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  make
BuildRequires:  findutils
BuildRequires:  perl
BuildRequires:  perl-generators
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.59
BuildRequires:  perl(inc::Module::Install)
BuildRequires:  perl(Module::Install::AuthorTests)
BuildRequires:  perl(Module::Install::Repository)
BuildRequires:  perl(Module::Install::Metadata)
BuildRequires:  perl(Module::Install::WriteAll)
# runtime
BuildRequires:  perl(parent)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
BuildRequires:  perl(Carp)
BuildRequires:  perl(LWP::Protocol)
BuildRequires:  perl(LWP::Protocol::http)
BuildRequires:  perl(LWP::Protocol::https)
BuildRequires:  perl(Scope::Guard)
# tests:
BuildRequires:  perl(Test::More) >= 0.98
BuildRequires:  perl(Test::UseAllModules)
BuildRequires:  perl(Test::Fake::HTTPD) => 0.06
BuildRequires:  perl(LWP::UserAgent)
BuildRequires:  perl(File::Temp)

Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%{?perl_default_filter}


%description
LWP::UserAgent::DNS::Hosts is a module to override HTTP/HTTPS request peer
addresses that uses LWP::UserAgent.  This module concept was got from
LWP::Protocol::PSGI.


%prep
%setup -q -n LWP-UserAgent-DNS-Hosts-%{version}
rm -r inc


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} %{buildroot}/*


%check
make test


%files
%doc Changes
%{perl_vendorlib}/*
%{_mandir}/man3/*


%changelog
* Fri Aug 12 2016 Carl George <carl.george@rackspace.com> - 0.08-3
- Add more missing build requirements

* Mon Aug 08 2016 Carl George <carl.george@rackspace.com> - 0.08-2
- Add missing build requirements
- Remove bundled Module::Install libs

* Wed Aug 03 2016 Carl George <carl.george@rackspace.com> - 0.08-1
- Initial package
